Last Comment Bug 576879 - AIX 64bit link error: libxul.so
: AIX 64bit link error: libxul.so
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: PowerPC AIX
: -- normal (vote)
: ---
Assigned To: Uli Link (:ul-mcamafia)
:
Mentors:
Depends on:
Blocks: 576887
  Show dependency treegraph
 
Reported: 2010-07-04 11:39 PDT by Uli Link (:ul-mcamafia)
Modified: 2010-08-23 04:45 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.9-fixed
.12-fixed


Attachments
Adding needed ld flag for AIX 64bit build branch 1.9.1 patch (696 bytes, patch)
2010-07-04 11:47 PDT, Uli Link (:ul-mcamafia)
ted: review+
christian: approval1.9.1.12+
Details | Diff | Splinter Review
Same patch recreated for trunk (792 bytes, patch)
2010-07-31 02:22 PDT, Uli Link (:ul-mcamafia)
benjamin: approval2.0+
Details | Diff | Splinter Review
Only with context adjusted for branch 1.9.2 (813 bytes, patch)
2010-07-31 02:24 PDT, Uli Link (:ul-mcamafia)
christian: approval1.9.2.9+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2010-07-04 11:39:25 PDT
When linking obj-dir/toolkit/library/libxul.so
the subsequent error appears:

../staticlib/libmorkreader_s.a ../../staticlib/libgtkxtbin.a ../../staticlib/libgfxpsshar.a ../../staticlib/libthebes.a ../../staticlib/libjsj.a   -L../../dist/lib -lsqlite3 -L../../dist/bin -L../../dist/lib  -L../../dist/bin -L../../dist/lib -L../../jpeg -lmozjpeg -L../../modules/libimg/png -lmozpng ../../gfx/qcms/libmozqcms.a -L/home/ulink/src/comm-1.9.1/mozilla/obj-fx35-64/dist/bin -lmozjs -L../../dist/bin -L../../dist/lib -lcrmf -lsmime3 -lssl3 -lnss3 -lnssutil3 -L/opt/freeware/lib -lcairo -lfreetype -lfontconfig    -L/opt/freeware/lib -lXrender -lSM -lICE -lX11 -lcairo    -lz  -L/home/ulink/src/comm-1.9.1/mozilla/obj-fx35-64/dist/lib -lplds4 -lplc4 -lnspr4 -lpthreads -ldl  -lX11  -L/opt/freeware/lib -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv   -L/opt/freeware/lib -lgtk-x11-2.0 -latk-1.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv   -lXm -lXt -lgthread-2.0 -L/opt/freeware/lib -lfreetype -lz  -lC_r -ldl -lm -lc_r  -liconv   
ld: 0711-781 ERROR: TOC overflow. TOC size: 131416      Maximum size: 65536
gmake[3]: *** [libxul.so] Error 12

The 32bit compilation on AIX is not affected.
Neither SeaMonkey nor Thunderbird are affected today. Firefox only.

The linker needs the additional -bbigtoc flag passed.
Comment 1 Uli Link (:ul-mcamafia) 2010-07-04 11:47:53 PDT
Created attachment 455966 [details] [diff] [review]
Adding needed ld flag for AIX 64bit build branch 1.9.1 patch

Instead of adding -bbigtoc flag globally, only add it where needed for avoiding the bigtoc overhead at runtime when possible.
Comment 2 Dave Townsend [:mossop] 2010-07-20 11:01:18 PDT
Comment on attachment 455966 [details] [diff] [review]
Adding needed ld flag for AIX 64bit build branch 1.9.1 patch

I can't review this.
Comment 3 Uli Link (:ul-mcamafia) 2010-07-31 02:22:02 PDT
Created attachment 461764 [details] [diff] [review]
Same patch recreated for trunk

There were conflicts in the context, recreated today.
Comment 4 Uli Link (:ul-mcamafia) 2010-07-31 02:24:01 PDT
Created attachment 461765 [details] [diff] [review]
Only with context adjusted for branch 1.9.2
Comment 5 Uli Link (:ul-mcamafia) 2010-07-31 02:31:12 PDT
Risc assessment: Those patches does not alter anything for all officially supported platform. No risc patch.
Comment 6 christian 2010-08-02 16:01:08 PDT
Approving the fix for the branches.
Comment 8 Uli Link (:ul-mcamafia) 2010-08-23 04:45:11 PDT
Verified on AIX.

Note You need to log in before you can comment on or make changes to this bug.